Subject: Re: bug#20433: Keyboard not working on laptop with guixSD

From: [email-masked] (Ludovic Courtès)
Date: Sat, 16 Jan 2016 14:54:14 +0100

Ricardo Wurmus <[email-masked]> skribis:

> I’d suggest blacklisting the “usbkbd” kernel module by adding this to
> the kernel boot parameters:
>
>     modprobe.blacklist=usbkbd
>
> I’m just guessing here, but this seems the most probably cause to me.

I realized that this option is honored by kmod’s ‘modprobe’ command,
which we use, but not by our initrd code, and (gnu system linux-initrd)
has “usbkbd” among the modules that it always loads.

Commit 7ba903b changes our code to honor ‘modprobe.blacklist’ as well.

Jessica: To test what Ricardo suggests, you would have to somehow login
to your laptop (over SSH or using a different keyboard) and do:

  sudo guix pull

  ;; Edit configuration.scm to add ‘kernel-arguments’ to the config:
  ;; (operating-system
  ;;    …
  ;;    (kernel-arguments '("modprobe.blacklist=usbkbd")))

  sudo guix system reconfigure /path/to/configuration.scm

HTH!

Ludo’.